Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shoppingadvisor
Class ItemsByQualityImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.ebusiness.shoppingadvisor.ItemsByQualityImpl

public class ItemsByQualityImpl
extends EntityImpl

This class has a particular quality, and it has a collection of items that have that quality to some degree.

     Primary Key = theory.smart.ebusiness.shoppingadvisor.ItemsByQualityPk

See Also:
  `ItemsByQuality`, `ItemsByQualityHome`, `ItemsByQualityValue`, Serialized Form

Field Summary
`com.sun.java.util.collections.LinkedList` | `itemByDegrees` itemByDegree (List) [ItemsByQuality] <*>------> [`theory.smart.ebusiness.shoppingadvisor.ItemByDegree`] 0..*
`java.lang.String` | `qualityName` qualityName [ItemsByQuality] <*>------> [`String`] (Primary Key)

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`ItemsByQualityImpl()`

Method Summary
`void` | `addFirstItemByDegree(ItemByDegree itemByDegree)` Inserts the given itemByDegree at the beginning of the itemByDegree list.
`void` | `addItemByDegree(int index, ItemByDegree itemByDegree)` Inserts the specified itemByDegree at the specified position in the itemByDegree list.
`boolean` | `addItemByDegree(ItemByDegree itemByDegree)` Appends the specified itemByDegree to the end of the itemByDegree list.
`boolean` | `addItemByDegrees(int index, com.sun.java.util.collections.LinkedList itemByDegrees)` Inserts all of the itemByDegrees in the specified collection into this list, starting at the specified position.
`boolean` | `addItemByDegrees(com.sun.java.util.collections.LinkedList itemByDegrees)` Appends all of the itemByDegrees in the specified collection to the end of the itemByDegree list, in the order that they are returned by the specified collection's iterator.
`void` | `addLastItemByDegree(ItemByDegree itemByDegree)` Appends the given itemByDegree to the end of the itemByDegree list.
`void` | `applyItem(Item item, int degree)` Add an item to this quality with the degree specified.
`boolean` | `containsItemByDegree(ItemByDegree itemByDegree)` Returns `true` if the itemByDegree list contains the specified element.
`void` | `ejbActivate()` ejbActivate method.
`ItemsByQualityPk` | `ejbCreate(ItemsByQualityPk itemsByQualityPk)`
`protected void` | `ejbCreateInitVars(ItemsByQualityPk itemsByQualityPk)`
`java.util.Enumeration` | `ejbFindAll()`
`ItemsByQualityPk` | `ejbFindByPrimaryKey(ItemsByQualityPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(ItemsByQualityPk itemsByQualityPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`ItemByDegree` | `getFirstItemByDegree()` Returns the first itemByDegree in the itemByDegree list.
`ItemByDegree` | `getItemByDegree(int index)` Returns the itemByDegree at the specified position in the itemByDegree list.
`com.sun.java.util.collections.LinkedList` | `getItemByDegrees()` Returns all of the itemByDegrees in the itemByDegree list.
`com.sun.java.util.collections.LinkedList` | `getItemByDegrees(int fromIndex, int toIndex)` Returns a view of the portion of the itemByDegree list between `fromIndex`, inclusive, and `toIndex`, exclusive.
`ItemsByQualityValue` | `getItemsByQualityByValue()` Get all of ItemsByQuality's attributes.
`ItemByDegree` | `getLastItemByDegree()` Returns the last itemByDegree in the itemByDegree list.
`int` | `getNumberOfItemByDegrees()` Returns the number of itemByDegrees in the itemByDegree list.
`java.lang.String` | `getQualityName()`
`int` | `indexOfItemByDegree(ItemByDegree itemByDegree)` Returns the index in the itemByDegree list of the first occurrence of the specified element, or -1 if the itemByDegree list does not contain this element.
`boolean` | `isItemByDegreesEmtpy()` Returns `true` if the itemByDegree list contains no itemByDegrees.
`int` | `lastIndexOfItemByDegree(ItemByDegree itemByDegree)` Returns the index in the itemByDegree list of the last occurrence of the specified element, or -1 if the itemByDegree list does not contain this element.
`void` | `removeAllItemByDegrees()` Removes all of the itemByDegrees from the itemByDegree list.
`ItemByDegree` | `removeFirstItemByDegree()` Removes and returns the first itemByDegree from the itemByDegree list.
`ItemByDegree` | `removeItemByDegree(int index)` Removes the itemByDegree at the specified position in the itemByDegree list.
`boolean` | `removeItemByDegree(ItemByDegree itemByDegree)` Removes the first occurrence of the specified itemByDegree in the itemByDegree list.
`ItemByDegree` | `removeLastItemByDegree()` Removes and returns the last itemByDegree from the itemByDegree list.
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`ItemByDegree` | `setItemByDegree(int index, ItemByDegree itemByDegree)` Replaces the itemByDegree at the specified position in the itemByDegree list with the specified element.
`void` | `setItemsByQualityByValue(ItemsByQualityValue value)` Set all of ItemsByQuality's attributes to the passed in value.
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreate, ejbCreateInitVars, ejbPostCreate, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qualityName

    public java.lang.String qualityName

                        qualityName
       [ItemsByQuality] <*>------> [String] (Primary Key)

### itemByDegrees

    public com.sun.java.util.collections.LinkedList itemByDegrees

                        itemByDegree (List)
       [ItemsByQuality] <*>------> [theory.smart.ebusiness.shoppingadvisor.ItemByDegree]
                           0..*

Constructor Detail

### ItemsByQualityImpl

    public ItemsByQualityImpl()
                       throws CreateException

Method Detail

### getItemsByQualityByValue

    public ItemsByQualityValue getItemsByQualityByValue()
                                                 throws java.rmi.RemoteException

  Get all of ItemsByQuality's attributes.
  Returns:
    ItemsByQualityValue the ItemsByQuality value object

### setItemsByQualityByValue

    public void setItemsByQualityByValue(ItemsByQualityValue value)
                                  throws java.rmi.RemoteException

  Set all of ItemsByQuality's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `ItemsByQualityValue` - the ItemsByQuality value object

### ejbCreate

    public ItemsByQualityPk ejbCreate(ItemsByQualityPk itemsByQualityPk)
                               throws CreateException,
                                      java.rmi.RemoteException

### ejbCreateInitVars

    protected void ejbCreateInitVars(ItemsByQualityPk itemsByQualityPk)
                              throws CreateException,
                                     java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(ItemsByQualityPk itemsByQualityPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class EntityImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class EntityImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class EntityImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class EntityImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class EntityImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class EntityImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class EntityImpl

### ejbFindByPrimaryKey

    public ItemsByQualityPk ejbFindByPrimaryKey(ItemsByQualityPk pk)
                                         throws FinderException,
                                                java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

### getQualityName

    public java.lang.String getQualityName()
                                    throws java.rmi.RemoteException

### addItemByDegree

    public void addItemByDegree(int index,
                                ItemByDegree itemByDegree)

  Inserts the specified itemByDegree at the specified position in the itemByDegree list. Shifts the itemByDegree currently at that position (if any) and any subsequent itemByDegrees to the right (adds one to their indices).
  Parameters:
    `index` - index at which the specified itemByDegree is to be inserted.
    `itemByDegree` - itemByDegree to be inserted.
  Throws:
    IndexOutOfBoundsException - if the specified index is out of range (`index < 0 || index > size()`).

### addItemByDegree

    public boolean addItemByDegree(ItemByDegree itemByDegree)

  Appends the specified itemByDegree to the end of the itemByDegree list.
  Parameters:
    `itemByDegree` - itemByDegree to be appended to the itemByDegree list.
  Returns:
    `true` (as per the general contract of `Collection.add`).

### addItemByDegrees

    public boolean addItemByDegrees(int index,
                                    com.sun.java.util.collections.LinkedList itemByDegrees)

  Inserts all of the itemByDegrees in the specified collection into this list, starting at the specified position. Shifts the element currently at that position (if any) and any subsequent itemByDegrees to the right (increases their indices). The new itemByDegrees will appear in the itemByDegree list in the order that they are returned by the specified collection's iterator.
  Parameters:
    `index` - index at which to insert first element from the specified collection.
    `itemByDegrees` - itemByDegrees to be inserted into the itemByDegree list.
  Throws:
    IndexOutOfBoundsException - if the specified index is out of range (`index < 0 || index > size()`).

### addItemByDegrees

    public boolean addItemByDegrees(com.sun.java.util.collections.LinkedList itemByDegrees)

  Appends all of the itemByDegrees in the specified collection to the end of the itemByDegree list, in the order that they are returned by the specified collection's iterator. The behavior of this operation is undefined if the specified collection is modified while the operation is in progress. (This implies that the behavior of this call is undefined if the specified Collection is the itemByDegree list, and the itemByDegree list is nonempty.)
  Parameters:
    `itemByDegrees` - itemByDegrees to be inserted into the itemByDegree list.
  Throws:
    IndexOutOfBoundsException - if the specified index is out of range (`index < 0 || index > size()`).

### addFirstItemByDegree

    public void addFirstItemByDegree(ItemByDegree itemByDegree)

  Inserts the given itemByDegree at the beginning of the itemByDegree list.

### addLastItemByDegree

    public void addLastItemByDegree(ItemByDegree itemByDegree)

  Appends the given itemByDegree to the end of the itemByDegree list. (Identical in function to the `add` method; included only for consistency.)

### containsItemByDegree

    public boolean containsItemByDegree(ItemByDegree itemByDegree)

  Returns `true` if the itemByDegree list contains the specified element. More formally, returns `true` if and only if the itemByDegree list contains at least one itemByDegree `e` such that `(o==null ? e==null : o.equals(e))`.
  Parameters:
    `itemByDegree` - itemByDegree whose presence in the itemByDegree list is to be tested.
  Returns:
    `true` if the itemByDegree list contains the specified element.

### getItemByDegree

    public ItemByDegree getItemByDegree(int index)

  Returns the itemByDegree at the specified position in the itemByDegree list.
  Parameters:
    `index` - index of itemByDegree to return.
  Returns:
    the itemByDegree at the specified position in the itemByDegree list.
  Throws:
    IndexOutOfBoundsException - if the specified index is is out of range (`index < 0 || index >= size()`).

### getItemByDegrees

    public com.sun.java.util.collections.LinkedList getItemByDegrees(int fromIndex,
                                                                     int toIndex)

  Returns a view of the portion of the itemByDegree list between `fromIndex`, inclusive, and `toIndex`, exclusive.
  Parameters:
    `fromIndex` - low endpoint (inclusive) of the subList.
    `toKey` - high endpoint (exclusive) of the subList.
  Returns:
    a view of the specified range within the itemByDegree list.
  Throws:
    IndexOutOfBoundsException - endpoint index value out of range `(fromIndex < 0 || toIndex > size)`
    java.lang.IllegalArgumentException - endpoint indices out of order `(fromIndex > toIndex)`

### getItemByDegrees

    public com.sun.java.util.collections.LinkedList getItemByDegrees()

  Returns all of the itemByDegrees in the itemByDegree list.
  Returns:
    all of the itemByDegrees in the itemByDegree list.

### getFirstItemByDegree

    public ItemByDegree getFirstItemByDegree()

  Returns the first itemByDegree in the itemByDegree list.
  Returns:
    the first itemByDegree in the itemByDegree list.

### getLastItemByDegree

    public ItemByDegree getLastItemByDegree()

  Returns the last itemByDegree in the itemByDegree list.
  Returns:
    the last itemByDegree in the itemByDegree list.
  Throws:
    NoSuchElementException - if the itemByDegree list is empty.

### getNumberOfItemByDegrees

    public int getNumberOfItemByDegrees()

  Returns the number of itemByDegrees in the itemByDegree list.
  Returns:
    the number of itemByDegrees in the itemByDegree list.

### indexOfItemByDegree

    public int indexOfItemByDegree(ItemByDegree itemByDegree)

  Returns the index in the itemByDegree list of the first occurrence of the specified element, or -1 if the itemByDegree list does not contain this element. More formally, returns the lowest index i such that `(o==null ? get(i)==null : o.equals(get(i)))`, or -1 if there is no such index.
  Parameters:
    `itemByDegree` - itemByDegree to search for.
  Returns:
    the index in the itemByDegree list of the first occurrence of the specified element, or -1 if the itemByDegree list does not contain this element.

### isItemByDegreesEmtpy

    public boolean isItemByDegreesEmtpy()

  Returns `true` if the itemByDegree list contains no itemByDegrees.

  Returns:
    `true` if the itemByDegree list contains no itemByDegrees.

### lastIndexOfItemByDegree

    public int lastIndexOfItemByDegree(ItemByDegree itemByDegree)

  Returns the index in the itemByDegree list of the last occurrence of the specified element, or -1 if the itemByDegree list does not contain this element. More formally, returns the highest index i such that `(o==null ? get(i)==null : o.equals(get(i)))`, or -1 if there is no such index.
  Parameters:
    `itemByDegree` - itemByDegree to search for.
  Returns:
    the index in the itemByDegree list of the last occurrence of the specified element, or -1 if the itemByDegree list does not contain this element.

### removeAllItemByDegrees

    public void removeAllItemByDegrees()

  Removes all of the itemByDegrees from the itemByDegree list.

### removeItemByDegree

    public ItemByDegree removeItemByDegree(int index)

  Removes the itemByDegree at the specified position in the itemByDegree list. Shifts any subsequent itemByDegrees to the left (subtracts one from their indices). Returns the itemByDegree that was removed from the itemByDegree list.
  Parameters:
    `index` - the index of the itemByDegree to removed.
  Returns:
    the itemByDegree previously at the specified position.
  Throws:
    IndexOutOfBoundsException - if the specified index is out of range (`index < 0 || index >= size()`).

### removeItemByDegree

    public boolean removeItemByDegree(ItemByDegree itemByDegree)

  Removes the first occurrence of the specified itemByDegree in the itemByDegree list. If the itemByDegree list does not contain the element, it is unchanged. More formally, removes the itemByDegree with the lowest index `i` such that `(o==null ? get(i)==null : o.equals(get(i)))` (if such an itemByDegree exists).
  Parameters:
    `itemByDegree` - itemByDegree to be removed from the itemByDegree list, if present.
  Returns:
    `true` if the itemByDegree list contained the specified element.

### removeFirstItemByDegree

    public ItemByDegree removeFirstItemByDegree()

  Removes and returns the first itemByDegree from the itemByDegree list.
  Returns:
    the first itemByDegree from the itemByDegree list.
  Throws:
    NoSuchElementException - if the itemByDegree list is empty.

### removeLastItemByDegree

    public ItemByDegree removeLastItemByDegree()

  Removes and returns the last itemByDegree from the itemByDegree list.
  Returns:
    the last itemByDegree from the itemByDegree list.
  Throws:
    NoSuchElementException - if the itemByDegree list is empty.

### setItemByDegree

    public ItemByDegree setItemByDegree(int index,
                                        ItemByDegree itemByDegree)

  Replaces the itemByDegree at the specified position in the itemByDegree list with the specified element.
  Parameters:
    `index` - index of itemByDegree to replace.
    `itemByDegree` - itemByDegree to be stored at the specified position.
  Returns:
    the itemByDegree previously at the specified position.
  Throws:
    IndexOutOfBoundsException - if the specified index is out of range (`index < 0 || index >= size()`).

### applyItem

    public void applyItem(Item item,
                          int degree)
                   throws java.rmi.RemoteException

  Add an item to this quality with the degree specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.